Bug 847258 - exit with error when a parameter in answer file is defined more than once
exit with error when a parameter in answer file is defined more than once
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Moran Goldboim
Pavel Stehlik
integration
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 06:04 EDT by David Jaša
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 04:25:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-08-10 06:04:58 EDT
Description of problem:
exit with error when a parameter in answer file is defined more than once

Version-Release number of selected component (if applicable):
rhevm-setup-3.1.0-11.el6ev.noarch / si13.2

How reproducible:
always

Steps to Reproduce:
1. Copy some configuration option to other part of the file
2. run engine-setup --answer-file=${FILE}
3.
  
Actual results:
engine-setup takes last occurence of duplicate value for further processing

Expected results:
engine-setup exits with error that the option is entered more than once

Additional info:
silly error on my account but took me quite a while to figure out...
Comment 1 Itamar Heim 2013-02-10 02:05:32 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Alon Bar-Lev 2013-09-20 04:25:28 EDT
The answer files in 3.3 creates an otopi configuration file which is environment file, which is standard python configfile.

It is valid to specify multiple entries of same variable within one file and among multiple files that are loaded by order.

This enables override of values with more specific configuration, for example:

# engine-setup --config-append=base.conf --config-append=my-server.conf

Also in previous setup, taking the last value was appropriate.

Note You need to log in before you can comment on or make changes to this bug.